DelegateXMLStreamReader (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.stax.DelegateXMLStreamReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class DelegateXMLStreamReader

    java.lang.Object
      org.mule.module.xml.stax.DelegateXMLStreamReader

All Implemented Interfaces:
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

Direct Known Subclasses:
  ReversibleXMLStreamReader

    public class DelegateXMLStreamReader

extends Object
implements javax.xml.stream.XMLStreamReader

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`DelegateXMLStreamReader(javax.xml.stream.XMLStreamReader reader)`

Method Summary
`void` | `close()`
`int` | `getAttributeCount()`
`String` | `getAttributeLocalName(int arg0)`
`QName` | `getAttributeName(int arg0)`
`String` | `getAttributeNamespace(int arg0)`
`String` | `getAttributePrefix(int arg0)`
`String` | `getAttributeType(int arg0)`
`String` | `getAttributeValue(int arg0)`
`String` | `getAttributeValue(String arg0, String arg1)`
`String` | `getCharacterEncodingScheme()`
`String` | `getElementText()`
`String` | `getEncoding()`
`int` | `getEventType()`
`String` | `getLocalName()`
`javax.xml.stream.Location` | `getLocation()`
`QName` | `getName()`
`NamespaceContext` | `getNamespaceContext()`
`int` | `getNamespaceCount()`
`String` | `getNamespacePrefix(int arg0)`
`String` | `getNamespaceURI()`
`String` | `getNamespaceURI(int arg0)`
`String` | `getNamespaceURI(String arg0)`
`String` | `getPIData()`
`String` | `getPITarget()`
`String` | `getPrefix()`
`Object` | `getProperty(String arg0)`
`String` | `getText()`
`char[]` | `getTextCharacters()`
`int` | `getTextCharacters(int arg0, char[] arg1, int arg2, int arg3)`
`int` | `getTextLength()`
`int` | `getTextStart()`
`String` | `getVersion()`
`boolean` | `hasName()`
`boolean` | `hasNext()`
`boolean` | `hasText()`
`boolean` | `isAttributeSpecified(int arg0)`
`boolean` | `isCharacters()`
`boolean` | `isEndElement()`
`boolean` | `isStandalone()`
`boolean` | `isStartElement()`
`boolean` | `isWhiteSpace()`
`int` | `next()`
`int` | `nextTag()`
`void` | `require(int arg0, String arg1, String arg2)`
`boolean` | `standaloneSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegateXMLStreamReader

    public DelegateXMLStreamReader(javax.xml.stream.XMLStreamReader reader)

Method Detail

### close

    public void close()
               throws javax.xml.stream.XMLStreamException

  Specified by:
    `close` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCount

    public int getAttributeCount()

  Specified by:
    `getAttributeCount` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeLocalName

    public String getAttributeLocalName(int arg0)

  Specified by:
    `getAttributeLocalName` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeName

    public QName getAttributeName(int arg0)

  Specified by:
    `getAttributeName` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeNamespace

    public String getAttributeNamespace(int arg0)

  Specified by:
    `getAttributeNamespace` in interface `javax.xml.stream.XMLStreamReader`

### getAttributePrefix

    public String getAttributePrefix(int arg0)

  Specified by:
    `getAttributePrefix` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeType

    public String getAttributeType(int arg0)

  Specified by:
    `getAttributeType` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeValue

    public String getAttributeValue(int arg0)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeValue

    public String getAttributeValue(String arg0,
                                    String arg1)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`

### getCharacterEncodingScheme

    public String getCharacterEncodingScheme()

  Specified by:
    `getCharacterEncodingScheme` in interface `javax.xml.stream.XMLStreamReader`

### getElementText

    public String getElementText()
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `getElementText` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `javax.xml.stream.XMLStreamReader`

### getEventType

    public int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.XMLStreamReader`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.xml.stream.XMLStreamReader`

### getLocation

    public javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.XMLStreamReader`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceCount

    public int getNamespaceCount()

  Specified by:
    `getNamespaceCount` in interface `javax.xml.stream.XMLStreamReader`

### getNamespacePrefix

    public String getNamespacePrefix(int arg0)

  Specified by:
    `getNamespacePrefix` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI(int arg0)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI(String arg0)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### getPIData

    public String getPIData()

  Specified by:
    `getPIData` in interface `javax.xml.stream.XMLStreamReader`

### getPITarget

    public String getPITarget()

  Specified by:
    `getPITarget` in interface `javax.xml.stream.XMLStreamReader`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `javax.xml.stream.XMLStreamReader`

### getProperty

    public Object getProperty(String arg0)
                       throws IllegalArgumentException

  Specified by:
    `getProperty` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `IllegalArgumentException`

### getText

    public String getText()

  Specified by:
    `getText` in interface `javax.xml.stream.XMLStreamReader`

### getTextCharacters

    public char[] getTextCharacters()

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`

### getTextCharacters

    public int getTextCharacters(int arg0,
                                 char[] arg1,
                                 int arg2,
                                 int arg3)
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getTextLength

    public int getTextLength()

  Specified by:
    `getTextLength` in interface `javax.xml.stream.XMLStreamReader`

### getTextStart

    public int getTextStart()

  Specified by:
    `getTextStart` in interface `javax.xml.stream.XMLStreamReader`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `javax.xml.stream.XMLStreamReader`

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `javax.xml.stream.XMLStreamReader`

### hasNext

    public boolean hasNext()
                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `hasNext` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### hasText

    public boolean hasText()

  Specified by:
    `hasText` in interface `javax.xml.stream.XMLStreamReader`

### isAttributeSpecified

    public boolean isAttributeSpecified(int arg0)

  Specified by:
    `isAttributeSpecified` in interface `javax.xml.stream.XMLStreamReader`

### isCharacters

    public boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.XMLStreamReader`

### isEndElement

    public boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.XMLStreamReader`

### isStandalone

    public boolean isStandalone()

  Specified by:
    `isStandalone` in interface `javax.xml.stream.XMLStreamReader`

### isStartElement

    public boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.XMLStreamReader`

### isWhiteSpace

    public boolean isWhiteSpace()

  Specified by:
    `isWhiteSpace` in interface `javax.xml.stream.XMLStreamReader`

### next

    public int next()
             throws javax.xml.stream.XMLStreamException

  Specified by:
    `next` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### nextTag

    public int nextTag()
                throws javax.xml.stream.XMLStreamException

  Specified by:
    `nextTag` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### require

    public void require(int arg0,
                        String arg1,
                        String arg2)
                 throws javax.xml.stream.XMLStreamException

  Specified by:
    `require` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### standaloneSet

    public boolean standaloneSet()

  Specified by:
    `standaloneSet` in interface `javax.xml.stream.XMLStreamReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.